Skip to main content
Platform Operations/Platform Federation

UpdateClusterGroup

Update the cluster membership list for an existing cluster group.

PUT/api/v1/federation/cluster-groups/{groupId}/clusters

Operation ID

UpdateClusterGroup

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • groupId
    StringRequired

    ID of the cluster group to update

Body Fields

  • clusterIds
    ListRequired

    Updated list of cluster UUIDs for this group

    Example: item1,item2

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • id
    String

    Unique identifier of the cluster group

    Example: cg-001-xyz

  • name
    String

    Human-readable name of the cluster group

    Example: production-clusters

  • description
    String

    Description of the cluster group purpose

    Example: All production environment clusters

  • clusterIds
    List

    List of cluster UUIDs that belong to this group

    Example: item1,item2

  • createdAt
    String

    Created at

    Example: 2026-01-15T08:00:00Z